Subject: Re: bug#13850: Emacs for Windows: Launch better from a command prompt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Mar 2013 09:27:17 +0200

> Date: Fri, 1 Mar 2013 15:49:57 -0500
> From: Andrew Pennebaker <[email-masked]>
> 
> Currently, Emacs ties up the Command Prompt until the user quits Emacs. In
> Git Bash, you can hack around this with an ampersand (&), but the default
> behavior should really be to fork a thread for Emacs and immediately return
> terminal control to the user.
> 
> Can we default the next version to this behavior?

We already do: just invoke runemacs.exe rather than emacs.exe.

As for forking a thread: it is a bit more complex than that.  (We
already start at least 2 threads at startup.)  The 2 most important
problems are (1) the same executable should be able to run in a text
terminal session under -nw, and (2) we don't want the GUI session to
have a console.  runemacs.exe solves both.

Any reasons not to close this bug?